import React from 'react';
import { Draggable } from 'react-beautiful-dnd';

export const TableHeader = props => {
    const {
        columnIndex ,
        width ,
        minWidth ,
        maxWidth ,
        style = {} ,
        draggable = true ,
        ...restProps
    } = props;

    width && (style.width = width);
    minWidth && (style.minWidth = minWidth);
    maxWidth && (style.maxWidth = maxWidth);
    style.userSelect = 'none';

    return draggable ? (
        <Draggable
            key={columnIndex}
            draggableId={'item' + columnIndex}
            index={columnIndex}
        >
            {provided => {
                return (
                    <th
                        ref={provided.innerRef}
                        data-column-index={columnIndex}
                        {...restProps}
                        {...provided.draggableProps}
                        {...provided.dragHandleProps}
                        style={{...style , ...provided.draggableProps.style}}
                    />
                );
            }}
        </Draggable>
    ) : (
        <th {...restProps} style={style} data-column-index={columnIndex} />
    );
};
