import React from 'react';
import { DragDropContext , Droppable } from 'react-beautiful-dnd';

export function TableHeaderRow(props) {
    const {onDragEnd = () => {} , className = '' , style = {}} = props;

    return (
        <DragDropContext onDragEnd={onDragEnd}>
            <Droppable droppableId="droppable" direction="horizontal">
                {provided => {
                    return (
                        <tr
                            ref={provided.innerRef}
                            className={'common-table-firstRow ' + className}
                            style={style}
                            {...provided.droppableProps}
                        >
                            {props.children}
                            {provided.placeholder}
                        </tr>
                    );
                }}
            </Droppable>
        </DragDropContext>
    );
}
