import 'antd/dist/antd.css';
import React from 'react';
import { render } from 'react-dom';
import { CommonTable } from './component/CommonTable/Table';
import { Input , Select } from 'antd';

module.hot && module.hot.accept();

const columns = [
    {
        title: '表头' ,
        key: 'name' ,
        dataIndex: 'name' ,
        width: 100
    } ,
    {
        title: 'Age' ,
        key: 'age' ,
        dataIndex: 'age' ,
        minWidth: 200 ,
        allowFilter: true
    } ,
    {
        title: 'Salary' ,
        key: 'salary' ,
        dataIndex: 'salary' ,
        minWidth: 200 ,
        allowFilter: true
    } ,
    {
        title: 'action' ,
        key: 'action' ,
        render() {
            return (
                <a>编辑</a>
            );
        }
    }
];

class App extends React.Component {


    searchItems = [
        {
            label: '名称' ,
            fieldName: 'Name1' ,
            component: <Input />
        } ,
        {
            label: '选择啊啊啊' ,
            fieldName: 'Select2' ,
            component: (
                <Select>
                    <Select.Option key={1}>是</Select.Option>
                    <Select.Option key={2}>否</Select.Option>
                </Select>
            )
        } ,
        {
            label: '名称' ,
            fieldName: 'Name2' ,
            component: <Input />
        } ,
        {
            label: '选择啊啊aa' ,
            fieldName: 'Select3' ,
            component: (
                <Select mode="multiple">
                    <Select.Option key={1}>是</Select.Option>
                    <Select.Option key={2}>否</Select.Option>
                </Select>
            )
        } ,
        {
            label: '名称' ,
            fieldName: 'Name4' ,
            component: <Input />
        } ,
        {
            label: '名称' ,
            fieldName: 'Name5' ,
            component: <Input />
        }
    ];

    render() {
        return (
            <CommonTable
                columns={columns}
                updateColumns={false}
                pagination={true}
                searchItems={this.searchItems}
                fetchUrl="/ccp/getData"
                fullTextSearch={false}
                requestData={{}}
                requestHeader={{}}
            />
        );
    }
}

render(<App /> , document.getElementById('root'));
