import { bindActionCreators } from 'redux';
import { connect } from 'react-redux';
import actions from './actions';

let methodList;

const mapStateToProps = state => ({...state});

const mapDispatchToProps = dispatch => {
    if (!methodList) {
        methodList = {};
        for (const key in actions) {
            if (actions.hasOwnProperty(key)) {
                methodList[ key ] = bindActionCreators(actions[ key ] , dispatch);
            }
        }
    }
    return methodList;
};

export default Component =>
    connect(
        Component[ 'mapStateToProps' ] || mapStateToProps ,
        Component[ 'mapDispatchToProps' ] || mapDispatchToProps
    )(Component);
