import { applyMiddleware , compose , createStore } from 'redux';
import thunk from 'redux-thunk';

import reducers from './reducers';

let store;
const canIUseReduxDevtool = !process.env.IS_BUILD && window[ '__REDUX_DEVTOOLS_EXTENSION__' ];

if (canIUseReduxDevtool) {
    store = createStore(
        reducers , compose(applyMiddleware(thunk) , window[ '__REDUX_DEVTOOLS_EXTENSION__' ]())
    );
} else {
    store = createStore(reducers , applyMiddleware(thunk));
}


export default store;