export function filterFalsify(obj) {
    let result = null;

    if (Array.isArray(obj)) {
        result = [];
        for (let i = 0; i < obj.length; i++) {
            const value = obj[i];
            if (value !== undefined && value !== null) {
                if (typeof value === 'object') {
                    result[i] = filterFalsify(value);
                } else {
                    result[i] = obj[i];
                }
            }
        }
    } else if (typeof obj === 'object') {
        result = {};
        for (const key in obj) {
            if (obj.hasOwnProperty(key)) {
                const value = obj[key];
                if (value !== undefined && value !== null) {
                    if (typeof value === 'object') {
                        result[key] = filterFalsify(value);
                    } else {
                        result[key] = obj[key];
                    }
                }
            }
        }
    }

    return result;
}
